Loading...
Searching...
No Matches
cf_generator.h File Reference

generate integers, elements of finite fields More...

`#include "canonicalform.h"`

Go to the source code of this file.

## Data Structures

class | CFGenerator
| virtual class for generators More...
class | IntGenerator
| generate integers starting from 0 More...
class | FFGenerator
| generate all elements in F_p starting from 0 More...
class | GFGenerator
| generate all elements in GF starting from 0 More...
class | AlgExtGenerator
| generate all elements in F_p(alpha) starting from 0 More...
class | CFGenFactory

## Detailed Description

generate integers, elements of finite fields

Definition in file cf_generator.h.